Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066053 - [RFE][RHEL7] Include kmail, kontact back into kdepim package with RHEL 7
Summary: [RFE][RHEL7] Include kmail, kontact back into kdepim package with RHEL 7
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: distribution
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: nobody nobody
URL:
Whiteboard:
Depends On:
Blocks: 1133060
TreeView+ depends on / blocked
 
Reported: 2014-02-17 15:08 UTC by Deepu K S
Modified: 2019-04-16 14:08 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-08 18:12:37 UTC


Attachments (Terms of Use)
Patch to build KMail without webkit (deleted)
2015-02-03 12:04 UTC, Jan Grulich
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2892481 None None None 2017-01-30 00:53:18 UTC

Description Deepu K S 2014-02-17 15:08:06 UTC
1. Proposed title of this feature request
[RFE][RHEL7] Include kmail, kontact back into kdepim package with RHEL 7

2. Who is the customer behind the request?
Account: name (acct #) GEORGIA INSTITUTE OF TECHNOLOGY

3. What is the nature and description of the request?
As compared with RHEL 6; kontact, kmail email client and other binaries have been removed from RHEL 7. A bug report had been the raised for the same. https://bugzilla.redhat.com/show_bug.cgi?id=1030971
Request to include it in RHEL 7.

4. Why does the customer need this? (List the business requirements here)
Customer has 500+ users who are currently using Thunderbird.  
With the  decision to remove Thunderbird in RHEL 7, it has become necessary to switch
MUAs. Switching MUA for huge amount of users is an expensive and time consuming process.
Since both KMail/Kontact and Evolution were also present in previous iterations of RHEL, some familiarity with those two MUAs exist. Kmail/Kontact is more preferred over Evolution.
Unlike Evolution, kmail contains an automated import wizard which might be a viable option to make the migration easier.

5. How would the customer like to achieve this? (List the functional requirements here)
Kmail/Kontact should get included in RHEL 7.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
We can provide the TEST RPM packages which customer can check and verify in his environment.

7. Is there already an existing RFE/Bug report upstream or in Red Hat Bugzilla?
Yes. Bug 1030971

8. Does the customer have any specific timeline dependencies and which release would they like to target ?
RHEL 7 GA

9. Is the sales team involved in this request and do they have any additional input?
No

10. List any affected packages or components.
kdepim

11. Would the customer be able to assist in testing this functionality if implemented?
Sure

Additional info:

Comment 6 George 2014-07-09 23:32:17 UTC
I second the request for the reinstatement of kmail in RHEL7 kdepim packages.
Any update on an ETA for this?

Comment 15 Ngo Than 2014-11-26 16:00:32 UTC
cleared with Jan Grulich that we can realize this feature for rhel7.2 update.
grant devel ack.

Comment 16 Jan Grulich 2014-12-02 15:15:29 UTC
I managed to build KMail without webkit support, it needed more than those two patches above. Here is a build if you want to test it [1], which is what I plan to do tomorrow.

[1] - https://brewweb.devel.redhat.com/taskinfo?taskID=8318881.

Comment 17 Martin Kyral 2014-12-03 12:24:38 UTC
Just a quick test: looks great! But, as it is 4.10.x, korganizer suffers from this bug:
https://bugs.kde.org/show_bug.cgi?id=284884 causing most or all of the recurring events to be missing from the calendar. The bug has been fixed in 4.14.1 so the patch is available, but I have no idea how hard would it be to backport the patch to 4.10. Also I know some additional fixes in Akonadi were needed for the patch to be working properly. Dan Vratil shall know more on the topic.

Comment 18 Daniel Vrátil 2014-12-04 11:52:19 UTC
Backporting the fix for kdepim-runtime should be easy, as the DAV resource has not changed much over the time. The additional fixes are not in Akonadi, but either KOrganizer or related libraries in kdepimlibs - I'll take a closer look, but I guess a separate bug report should be filed for this issue.

Comment 19 Jakub Filak 2014-12-09 14:24:35 UTC
(In reply to Jan Grulich from comment #16)
> I managed to build KMail without webkit support, it needed more than those
> two patches above. Here is a build if you want to test it [1], which is what
> I plan to do tomorrow.
> 
> [1] - https://brewweb.devel.redhat.com/taskinfo?taskID=8318881.

I have been using the scratch build for one week and I didn't experience any major issue. ABRT has detected several crashes but none of those prevented me from doing my regular work.

All of the crashes have the backtrace similar to the following one and usually occur during shutdown sequence:

Thread 1 (Thread 0x7eff863bc8c0 (LWP 1239)):
#0  0x00007eff85ee1a00 in Akonadi::ResourceScheduler::currentTask() const () from /lib64/libakonadi-kde.so.4
#1  0x00007eff85edea93 in Akonadi::ResourceBase::cancelTask() () from /lib64/libakonadi-kde.so.4
#2  0x00007eff85edec41 in Akonadi::ResourceBase::cancelTask(QString const&) () from /lib64/libakonadi-kde.so.4
#3  0x000000000041e430 in ResourceState::cancelTask(QString const&) ()
#4  0x0000000000446411 in ResourceTask::cancelTask(QString const&) ()
#5  0x0000000000446531 in ResourceTask::onPoolDisconnect() ()
#6  0x00007eff857afad8 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /lib64/libQtCore.so.4
#7  0x0000000000455ee2 in SessionPool::disconnect(SessionPool::SessionTermination) ()
#8  0x0000000000456137 in SessionPool::~SessionPool() ()
#9  0x0000000000456249 in SessionPool::~SessionPool() ()
#10 0x00007eff857b2498 in QObjectPrivate::deleteChildren() () from /lib64/libQtCore.so.4
#11 0x00007eff857b4b4f in QObject::~QObject() () from /lib64/libQtCore.so.4
#12 0x00000000004175e9 in ImapResource::~ImapResource() ()
#13 0x00007eff85ed91fc in Akonadi::ResourceBase::init(Akonadi::ResourceBase*) () from /lib64/libakonadi-kde.so.4
#14 0x000000000041cac3 in int Akonadi::ResourceBase::init<ImapResource>(int, char**) ()
#15 0x00007eff8124eaf5 in __libc_start_main (main=0x415660 <main>, argc=3, ubp_av=0x7fff1ad829b8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff1ad829a8)
    at libc-start.c:274
#16 0x00000000004157e5 in _start ()

Comment 20 Jan Grulich 2015-02-03 12:04:13 UTC
Created attachment 987526 [details]
Patch to build KMail without webkit

Just adding a proper patch, so it doesn't get lost on my disk.

Comment 21 George 2015-03-16 22:41:05 UTC
Any chance of supplying a working spec file for rebuilding the RPMs for kdepim until the inclusion in RHEL 7.2.

Thanks

Comment 22 Jan Grulich 2015-03-17 11:05:28 UTC
I cannot provide you a RHEL spec file, but you can download an almost identical one from Fedora and just use the patch above.

Comment 23 Brian Gollaher 2015-04-08 18:12:37 UTC
The original request was for Thunderbird in RHEL7.  We made the decision to include Thunderbird but not kmail.

Closing this bugzilla.

Comment 24 amit yadav 2017-01-30 01:28:28 UTC
(In reply to Brian Gollaher from comment #23)
> The original request was for Thunderbird in RHEL7.  We made the decision to
> include Thunderbird but not kmail.
> 
> Closing this bugzilla.

Hi Brian,

The original request in this bug was to include "kmail, kontact" back into kdepim package with RHEL7. This was a feature request. Can we please reconsider this for upcoming release of RHEL7?


Note You need to log in before you can comment on or make changes to this bug.